Bug 459870 - Extremely poor error message - Local Install Failed - means package already installed
Extremely poor error message - Local Install Failed - means package already i...
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
Depends On:
Blocks: 460199
  Show dependency treegraph
Reported: 2008-08-23 06:25 EDT by Bevis King
Modified: 2008-08-28 13:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-27 14:21:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bevis King 2008-08-23 06:25:56 EDT
Description of problem:
Gnome Package Kit gives a very poor error message when you right click install a package that is already installed.  The message you get is:
Local Install Failed
Installing the local file failed.
More information is available in the detailed report.

V More Details:
Can't install /home/user/Download/xyz-tools-0.8.1-1.fc9.noarch.rpm

If you check with:
rpm -q xyz-tools

you find it's already installed!

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

Steps to Reproduce:
1.  Try to install a package that is already installed by right clicking and
choosing "Install Package".
Actual results:
Very misleading error message.

Expected results:
Package is already installed.  Possibly mentioning if the version numbers are the same or different.

Additional info:
Comment 1 Richard Hughes 2008-08-27 11:49:49 EDT
Robin is working on this bug now. I'll merge this into F9 as a backport when he's done. Nice to see another Surrey University student - I used to be ee21rh@surrey.ac.uk!
Comment 2 Robin Norwood 2008-08-27 12:16:20 EDT
This should be fixed in HEAD now, Richard.
Comment 3 Richard Hughes 2008-08-27 14:21:03 EDT
Thanks Robin.

Note You need to log in before you can comment on or make changes to this bug.